
var x = 10;
var y = 10;
var w = 25;
var h = 25;

var rect = new Rect(x,y,w,h);
var rect2 = new Rect();
rect2.setX(rect.x());
rect2.setY(rect.y());
rect2.setHeight(rect.height());
rect2.setWidth(rect.width());

if( rect.x() != x )
{
  println( "X not "+ x +" " + rect.x());
  exit(1);
}

if( rect.y() != y )
{
  println( "Y not "+ y +" " + rect.y());
  exit(1);
}
  
if( rect.width() != w )
{
  println( "W not "+ w +" " + rect.width());
  exit(1);
}

if( rect.height() != h )
{
  println( "H not "+ h +" " + rect.height());
  exit(1);
}

println( "All tests passed");